Skip to main content
`Ctrl`+`K`

# SNESMSInitializePackage

This function initializes everything in the `SNESMS` package. It is called from `SNESInitializePackage()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSInitializePackage(void)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMS`, `SNESMSRegister()`, `SNESMSRegisterAll()`, `PetscInitialize()`

## Level

developer

## Location

src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages